﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GanttSamples.aspx.cs" Inherits="Vol3ASPsamples.GanttSamples" %>

<%@ Register assembly="Syncfusion.EJ" namespace="Syncfusion.JavaScript.Models" tagprefix="ej" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Gantt Samples</title>
    <script src="Scripts/Gantt/jquery-1.10.2.min.js"></script>
    <script src="Scripts/Gantt/jquery.globalize.min.js"></script>
    <script src="Scripts/Gantt/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/Gantt/jsrender.min.js"></script>
    <script src="Scripts/Gantt/ej.web.all.min.js"></script>
    <link href="Content/Gantt/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="Content/Gantt/ej.theme.min.css" rel="stylesheet" />
    <style>
         #Gantt {
             width: 100%;
             height: 100%;             
         }
         html, body {
             overflow: hidden; padding:0; margin: 0;height:100%;position:static;
         }
     </style>
</head>
<body>
    <form id="form1" runat="server" onsubmit="return false" style="overflow: hidden; padding:0; margin: 0;height:100%;width:100%;">
        <ej:Gantt ID="Gantt" runat="server" AllowColumnResize="true" AllowSorting="true" 
            TaskIdMapping="TaskID" TaskNameMapping="TaskName" StartDateMapping="StartDate" 
            ProgressMapping="Progress" DurationMapping="Duration" EndDateMapping="EndDate"
            ChildMapping="SubTasks" EnableVirtualization="true" HighlightWeekends="true" 
            ScheduleStartDate="02/01/2014"  ScheduleEndDate="03/14/2014"
            ResourceInfoMapping="ResourceID" ResourceNameMapping="ResourceName" ResourceIdMapping="ResourceID"
            PredecessorMapping="Predecessors" ShowResourceNames="true" ShowGridCellTooltip="true" TreeColumnIndex="1"
             IncludeWeekend="false" EnableContextMenu="true" >      
           
            <ToolbarSettings ShowToolbar="true" ToolbarItems="add,edit,delete,update,cancel,indent,outdent,expandAll,collapseAll,search"/>
           
            <EditSettings AllowEditing="true" AllowAdding="true" AllowDeleting="true" EditMode="cellEditing" />
        </ej:Gantt>
    </form>
</body>
</html>
